configuration

# Procedural File: config.inc

Source Location: /lib/config.inc

## Classes:

LAMConfig
  This class manages .conf files.
LAMCfgMain
  This class manages config.cfg.

## Page Details:

This file includes functions to manage the configuration files.

#### Tags:

author: | Roland Gruber
author: | Thomas Manninger

#### Includes:

include_once("modules.inc") [line 36]
Used to get module information.
include_once("status.inc") [line 34]
Used to print messages.
include_once("types.inc") [line 38]
Used to get type information.

### checkChmod [line 66]

`true, checkChmod( $right $right, $target $target, $chmod $chmod)`

Checks whether a specific flag in the rights string is set.

#### Tags:

return: | if the chmod $right for $target were set

#### Parameters

$right | $right | read,write or execute
$target | $target | owner,group or other
$chmod | $chmod | the chmod rights

[ Top ]

### getConfigProfiles [line 102]

`array getConfigProfiles( )`

Returns an array of string with all available configuration profiles (without .conf)

#### Tags:

return: | profile names

[ Top ]

### LAMVersion [line 126]

`string LAMVersion( )`

Returns the version number of this LAM installation.

Format: <major version>.<minor version>.<patch level>
Major/minor version are always numbers, patch level may contain letters for inofficial releases only (e.g. 0.5.alpha1).

#### Tags:

return: | version number

[ Top ]

### metaRefresh [line 144]

`void metaRefresh( string $page)`

Prints a meta refresh page

#### Parameters

string | $page | the URL of the target page

[ Top ]

### setlanguage [line 43]

`void setlanguage( )`

Sets language settings for automatic translation
[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:17:00 +0200 by phpDocumentor 1.4.0